<template>
  <q-page class="flex flex-center q-pa-md">
    <q-card bordered class="row no-wrap q-ma-md login-card">
      <div class="q-pa-lg">
        <div class="text-h6" style="margin-bottom: 20px">Create Project</div>
        <q-input filled v-model="projectName" label="Project Name"></q-input>
        <q-btn
          class="q-mt-md"
          color="primary"
          label="Create"
          @click="submitProject"
        ></q-btn>
      </div>
    </q-card>
  </q-page>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { useProjects } from '../hooks/projects';
import { useRouter } from 'vue-router';

const { createProject } = useProjects();
const router = useRouter();
const projectName = ref('');

const submitProject = async () => {
  await createProject(projectName.value);
  router.push('/');
};
</script>

<style lang="scss">
.login-card {
  border-radius: 14px;
  width: fit-content;
}

.q-input {
  margin-bottom: 20px;
}
</style>
